> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Followers

> Get a user's followers list, paginated at up to 70 per request. Use the cursor parameter to load more.

**Tip:** Use the `/v1/scrape/twitter/profile` endpoint to resolve a user's `rest_id` from their handle.

<Note>
  💳 **1 credit** per request
</Note>


## OpenAPI

````yaml GET /v1/scrape/twitter/followers
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/twitter/followers:
    get:
      tags:
        - twitter
      summary: Followers
      description: >-
        Get a user's followers list, paginated at up to 70 per request. Use the
        cursor parameter to load more.


        **Tip:** Use the `/v1/scrape/twitter/profile` endpoint to resolve a
        user's `rest_id` from their handle.
      operationId: twitter_Followers
      parameters:
        - name: user_id
          in: query
          description: The numeric user ID (rest_id) of the account to get followers for
          required: true
          schema:
            type: string
            example: '44196397'
        - name: cursor
          in: query
          description: >-
            Pagination cursor from a previous response to get the next page of
            results
          required: false
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response


            **Key Response Fields:**


            **Pagination:**

            - `data.cursor.bottom`: Pass as `cursor` query param to get the next
            page of followers

            - `data.cursor.top`: Cursor for the previous page


            **Timeline Structure:**

            - `data.result.timeline.instructions[0]`: `TimelineClearCache`
            (internal, can ignore)

            - `data.result.timeline.instructions[1]`:
            `TimelineTerminateTimeline` direction Top

            - `data.result.timeline.instructions[2]`:
            `TimelineTerminateTimeline` direction Bottom — indicates no more
            results when present

            - `data.result.timeline.instructions[3].entries[]`: Array of
            follower entries (type `TimelineAddEntries`)


            **Each Follower** (at
            `entries[].content.itemContent.user_results.result`):

            - `.rest_id`: User's numeric ID

            - `.is_blue_verified`: Whether user has a blue checkmark

            - `.legacy.name`: Display name

            - `.legacy.screen_name`: Handle (username without @)

            - `.legacy.description`: Bio

            - `.legacy.followers_count`: Follower count

            - `.legacy.friends_count`: Following count

            - `.legacy.statuses_count`: Total tweet count

            - `.legacy.favourites_count`: Total likes given

            - `.legacy.media_count`: Total media posts

            - `.legacy.listed_count`: Number of lists the user is on

            - `.legacy.created_at`: Account creation date

            - `.legacy.location`: Location set by user

            - `.legacy.profile_image_url_https`: Profile picture URL

            - `.legacy.profile_banner_url`: Banner image URL

            - `.legacy.protected`: Whether account is private

            - `.legacy.verified`: Legacy verified status

            - `.professional.professional_type`: `Creator` or `Business` (if
            applicable)
          content:
            application/json:
              example:
                success: true
                data:
                  error: false
                  cursor:
                    bottom: 1859209237637168512|2031099802887913420
                    top: '-1|2031099802887913473'
                  result:
                    timeline:
                      instructions:
                        - type: TimelineClearCache
                        - direction: Top
                          type: TimelineTerminateTimeline
                        - direction: Bottom
                          type: TimelineTerminateTimeline
                        - entries:
                            - content:
                                __typename: TimelineTimelineItem
                                clientEventInfo:
                                  component: FollowersSgs
                                  element: user
                                entryType: TimelineTimelineItem
                                itemContent:
                                  __typename: TimelineUser
                                  itemType: TimelineUser
                                  userDisplayType: User
                                  user_results:
                                    result:
                                      __typename: User
                                      affiliates_highlighted_label: {}
                                      has_graduated_access: true
                                      id: VXNlcjo5MzUxMjUyNjkyNjE3NjY2NTc=
                                      is_blue_verified: false
                                      legacy:
                                        blocked_by: false
                                        blocking: false
                                        can_dm: false
                                        can_media_tag: true
                                        created_at: Mon Nov 27 12:36:52 +0000 2017
                                        default_profile: true
                                        default_profile_image: false
                                        description: >-
                                          Just an investor wondering in the
                                          Metaverse.
                                        entities:
                                          description:
                                            urls: []
                                        fast_followers_count: 0
                                        favourites_count: 521
                                        follow_request_sent: false
                                        followed_by: false
                                        followers_count: 55
                                        following: false
                                        friends_count: 233
                                        has_custom_timelines: false
                                        is_translator: false
                                        listed_count: 3
                                        location: Metaverse
                                        media_count: 14
                                        muting: false
                                        name: Mike
                                        normal_followers_count: 55
                                        notifications: false
                                        pinned_tweet_ids_str: []
                                        possibly_sensitive: false
                                        profile_image_url_https: >-
                                          https://pbs.twimg.com/profile_images/1485601691718373377/qZUaiAtx_normal.jpg
                                        profile_interstitial_type: ''
                                        protected: false
                                        screen_name: silverbackRilaa
                                        statuses_count: 846
                                        translator_type: none
                                        verified: false
                                        want_retweets: false
                                        withheld_in_countries: []
                                      profile_image_shape: Circle
                                      rest_id: '935125269261766657'
                                      super_follow_eligible: false
                                      super_followed_by: false
                                      super_following: false
                                      tipjar_settings: {}
                              entryId: user-935125269261766657
                              sortIndex: '2031099802887913472'
                          type: TimelineAddEntries
                credits_used: 1
                endpoint: twitter/followers
        '400':
          description: Bad Request - Invalid parameters or missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: user_id (rest_id) is required
                  endpoint:
                    type: string
                  credits_required:
                    type: integer
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                  docs:
                    type: string
                    example: https://docs.sociavault.com/authentication
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                    description: Credits required for this request
                  available:
                    type: integer
                    example: 0
                    description: Credits currently available
                required:
                  - error
                  - required
                  - available
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Failed to fetch Twitter followers
                  endpoint:
                    type: string
                    example: followers
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````